org.eclipse.eef.ide.ui.internal.widgets.quickfix

## Class EEFMessageHyperlinkListener

- java.lang.Object
- - org.eclipse.eef.ide.ui.internal.widgets.quickfix.EEFMessageHyperlinkListener

All Implemented Interfaces:
  org.eclipse.ui.forms.events.IHyperlinkListener

    public class EEFMessageHyperlinkListener
    extends java.lang.Object
    implements org.eclipse.ui.forms.events.IHyperlinkListener

The hyperlink listener will be used to display the quick fix to run when the user click on a message.

### Constructor Summary

Constructors
Constructor and Description
`EEFMessageHyperlinkListener(org.eclipse.swt.widgets.Shell shell)` The constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `linkActivated(org.eclipse.ui.forms.events.HyperlinkEvent event)`
`void` `linkEntered(org.eclipse.ui.forms.events.HyperlinkEvent event)`
`void` `linkExited(org.eclipse.ui.forms.events.HyperlinkEvent event)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EEFMessageHyperlinkListener

    public EEFMessageHyperlinkListener(org.eclipse.swt.widgets.Shell shell)

The constructor.

Parameters:
  `shell` - The shell used to display the page

### Method Detail

#### linkEntered

    public void linkEntered(org.eclipse.ui.forms.events.HyperlinkEvent event)

Specified by:
  `linkEntered` in interface `org.eclipse.ui.forms.events.IHyperlinkListener`
See Also:
  `IHyperlinkListener.linkEntered(org.eclipse.ui.forms.events.HyperlinkEvent)`

#### linkExited

    public void linkExited(org.eclipse.ui.forms.events.HyperlinkEvent event)

Specified by:
  `linkExited` in interface `org.eclipse.ui.forms.events.IHyperlinkListener`
See Also:
  `IHyperlinkListener.linkExited(org.eclipse.ui.forms.events.HyperlinkEvent)`

#### linkActivated

    public void linkActivated(org.eclipse.ui.forms.events.HyperlinkEvent event)

Specified by:
  `linkActivated` in interface `org.eclipse.ui.forms.events.IHyperlinkListener`
See Also:
  `IHyperlinkListener.linkActivated(org.eclipse.ui.forms.events.HyperlinkEvent)`